<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.206
Description: The Procedure steps section contains the description of tissue dissection: representative specimens and derived specimens dissected for other ancillary procedures (flow cytometry, cytogenetics, molecular studies, electron microscopy, etc.) or biorepository.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000">
   <title>Special treatments and procedures section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]
Item: (Specialtreatmentsandproceduressection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section
Item: (Specialtreatmentsandproceduressection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section"
         id="tmp-ef76e5a9-65f3-403e-bf14-cc8bae0ed11b">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="string(@classCode)='DOCSECT'">(Specialtreatmentsandproceduressection): de waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']|hl7:code|hl7:title|hl7:text))=0">(Specialtreatmentsandproceduressection): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'])&gt;=1 ">(Specialtreatmentsandproceduressection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'])&lt;=1">(Specialtreatmentsandproceduressection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Specialtreatmentsandproceduressection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:code)&lt;=1">(Specialtreatmentsandproceduressection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Specialtreatmentsandproceduressection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:title)&lt;=1">(Specialtreatmentsandproceduressection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Specialtreatmentsandproceduressection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Specialtreatmentsandproceduressection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']
Item: (Specialtreatmentsandproceduressection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.206']"
         id="tmp-25e6fd28-704f-455d-a973-7365214e9b88">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.206'">(Specialtreatmentsandproceduressection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.206' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Specialtreatmentsandproceduressection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section/hl7:code
Item: (Specialtreatmentsandproceduressection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section/hl7:code"
         id="tmp-f901be02-523d-4011-83b4-0d5667504aa8">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="@nullFlavor or (@code='46059-2' and @codeSystem='2.16.840.1.113883.6.1')">(Specialtreatmentsandproceduressection): de waarde van @code/@codeSystem MOET ''46059-2' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section/hl7:title
Item: (Specialtreatmentsandproceduressection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section/hl7:title"
         id="tmp-5c29e951-c2af-4231-aeab-6c47afcdbe04">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.206
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section/hl7:text
Item: (Specialtreatmentsandproceduressection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.206']]/hl7:section/hl7:text"
         id="tmp-993ce1c1-0704-4992-b3fe-495cf7ac7fd9">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Specialtreatmentsandproceduressection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
