<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.301
Description: Template: Uitnodigingsronde ID
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000">
   <title>Invitation ID</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]
Item: (Invitationid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter"
         id="tmp-638543c5-f82a-49a0-8d60-a52436802a56">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="string(@classCode)='ENC'">(Invitationid): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="string(@moodCode)='RQO'">(Invitationid): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']|hl7:id|hl7:code|hl7:text))=0">(Invitationid): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'])&gt;=1 ">(Invitationid): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'])&lt;=1">(Invitationid): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:id)&lt;=1">(Invitationid): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Invitationid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:code)&lt;=1">(Invitationid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Invitationid): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']"
         id="tmp-6d13c1b0-d22e-46ea-91ad-93448a0e9ff3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.301'">(Invitationid): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.301' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Invitationid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:id
Item: (Invitationid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:code
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:code"
         id="tmp-113c6702-057f-41f8-8a19-fd6254e1bfa3">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="@nullFlavor or (@code='275978004' and @codeSystem='2.16.840.1.113883.6.96')">(Invitationid): de waarde van @code/@codeSystem MOET ''275978004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text"
         id="tmp-2c21726f-d2c8-493e-8a4c-f61c55ba1734">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(* except (hl7:reference))=0">(Invitationid): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Invitationid): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Invitationid): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text/hl7:reference
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text/hl7:reference"
         id="tmp-1448503e-8407-40ab-9a80-cf274b931760">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Invitationid): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
